IF NOT EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'FK_NoName'
    WHERE SysObjects.Name = 'TypeNoName'
)
  ALTER TABLE TypeNoName ADD FK_NoName INT NULL 
GO

IF NOT EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'Description'
    WHERE SysObjects.Name = 'TypeNoName'
)
  ALTER TABLE TypeNoName ADD Description VARCHAR(500) NULL 
GO

